Name: libtasn1
Version: 2.9
Release: alt2

%def_disable static
%def_enable check

Summary: ASN.1 library
Group: System/Libraries
License: LGPL
URL: http://www.gnu.org/software/gnutls/

Packager: Afanasov Dmitry <ender@altlinux.org>

%define pkgdocdir %_docdir/%name-%version

Source: %name-%version.tar

BuildRequires: gtk-doc

%{?_enabled_static:BuildRequires: glibc-devel-static}
%{?_enabled_check:BuildRequires: valgrind}

%description
libtasn1 is a library to manage ASN.1 (Abstract Syntax Notation One)
structures.

%package utils
Summary: ASN.1 development utilities
Group: Development/Other
Requires: %name = %version-%release

%description utils
Development utilities to handle ASN.1 notation
coming with the libtasn1 library.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Header and other files needed to develop applications using the tASN.1 library

%package devel-static
Summary: Static library for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static archive variant of the tASN.1 library

%package devel-doc
Summary: Development documentation for %name
Group: Development/C
Conflicts: %name-devel < %version
BuildArch: noarch

%description devel-doc
Development documentation for the tASN.1 library.

%prep
%setup -q
rm -f COPYING.LIB
ln -s %_licensedir/LGPL-2.1 COPYING.LIB
bzip2 -9k doc/libtasn1.ps
sed -i 's|^INFO-DIR-SECTION .*|INFO-DIR-SECTION System/Libraries|' \
    doc/libtasn1.info

%build
%autoreconf

%configure \
%if_disabled check
    --disable-valgrind-tests \
%endif
    --enable-gtk-doc \
    %{subst_enable static}
# Non-parallel build
export echo='echo'
%make

%if_enabled check
%make check
%endif

%install
export echo='echo'
%make_install DESTDIR=%buildroot install

install -d -m 755 %buildroot%pkgdocdir
install -p -m 644 AUTHORS ChangeLog NEWS README THANKS %buildroot%pkgdocdir
ln -s %_licensedir/LGPL-2.1 %buildroot%pkgdocdir/COPYING.LIB
install -p -m 644 doc/*.html doc/*.pdf doc/*.ps.bz2 doc/TODO \
    %buildroot%pkgdocdir/

%files
%_libdir/*.so.*
%dir %pkgdocdir
%pkgdocdir/AUTHORS
%pkgdocdir/ChangeLog
%pkgdocdir/COPYING.LIB
%pkgdocdir/NEWS
%pkgdocdir/README
%pkgdocdir/THANKS

%files utils
%_bindir/asn1*
%_man1dir/*

%files devel
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*

%files devel-doc
%_infodir/*
%_man3dir/*
%doc %_datadir/gtk-doc/html/*
%dir %pkgdocdir
%pkgdocdir/*.html
%pkgdocdir/*.pdf
%pkgdocdir/*.ps.bz2
%pkgdocdir/TODO

%if_enabled static
%files devel-static
%_libdir/*.a
%endif	# enabled static

%changelog
* Fri Mar 04 2011 Alexey Tourbin <at@altlinux.ru> 2.9-alt2
- rebuilt for pkgconfig
- made libtasn1-devel-doc noarch

* Sun Dec 19 2010 Afanasov Dmitry <ender@altlinux.org> 2.9-alt1
- 2.9

* Tue Oct 19 2010 Afanasov Dmitry <ender@altlinux.org> 2.8-alt1
- 2.8

* Fri Nov 06 2009 Afanasov Dmitry <ender@altlinux.org> 2.3-alt1
- 2.3

* Fri May 22 2009 Afanasov Dmitry <ender@altlinux.org> 2.2-alt1
- 2.2
- remove %%install_info's invocations

* Fri Apr 17 2009 Afanasov Dmitry <ender@altlinux.org> 2.1-alt1
- 2.1
- minor changes:
  + Fix compilation failure

* Tue Apr 14 2009 Afanasov Dmitry <ender@altlinux.org> 2.0-alt1
- 2.0
  + The libtasn1-config tool has been removed (see NEWS for details)

* Mon Jan 26 2009 Afanasov Dmitry <ender@altlinux.org> 1.8-alt1
- 1.8

* Tue Dec 02 2008 Afanasov Dmitry <ender@altlinux.org> 1.7-alt2
- change packager.
- merge shaba@ updates.
- remove libtasn1.m4. it was removed in v1.6 and using pkg-config was 
  offered (see NEWS for details)

* Wed Nov 26 2008 Alexey Shabalin <shaba@altlinux.ru> 1.7-alt1
- 1.7
- remove ldconfig from %%post

* Mon Oct 27 2008 Pavlov Konstantin <thresh@altlinux.ru> 1.5-alt1
- 1.5 release.

* Fri Sep 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.1-alt1
- 1.1 release.

* Tue May 29 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.10-alt1
- 0.3.10 release.

* Tue Apr 10 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.9-alt1
- 0.3.9 release.

* Sat Jan 27 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.8-alt1
- 0.3.8 release.
- Minor spec cleanup.
- Fixed BuildRequires.
- Hacked the configure.in to use autoconf 2.59.
- Added onceonly.m4 file to source tree to be able to use macros
  appeared in autoconf 2.60.

* Sat Sep 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.6-alt1
- Updated to 0.3.6

* Tue May 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.4-alt1
- Updated to 0.3.4
- Added libtasn1-utils package
- Buildreq

* Sat Feb 11 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.18-alt1
- 0.2.18, fixes SA18794

* Tue Nov 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.17-alt1
- Updated to 0.2.17
- Moved documentation to the devel-doc subpackage

* Sun Aug 14 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.15-alt1
- Updated to 0.2.15

* Mon Jan 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.13-alt1
- Updated to 0.2.13
- Serialized make

* Tue May 25 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.10-alt1
- Updated to 0.2.10
- Added configure scripts to the file list

* Sat Mar 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.7-alt1
- New upstream release

* Fri Jan 02 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.6-alt1
- Initial release for Sisyphus
